oCoreoCore Docs
API Reference

Sentry

Get Sentry status

Returns the current Sentry configuration and status for the instance.

GET
/instances/{id}/monitoring/sentry

Authorization

Authorization<token>

JWT Bearer token (format: Bearer {token})

In: header

Path Parameters

idRequiredstring

Instance ID (UUID)

curl -X GET "//api.ocore.dev/api/instances/<string>/monitoring/sentry" \
  -H "Authorization: <token>"

OK

{}

Setup Sentry integration

Enqueues a background job to configure Sentry error tracking on the instance. Returns 202 Accepted.

POST
/instances/{id}/monitoring/sentry

Authorization

Authorization<token>

JWT Bearer token (format: Bearer {token})

In: header

Request Body

application/jsonRequired

Sentry config (dsn, environment, loggingLevel)

bodyRequiredobject

Path Parameters

idRequiredstring

Instance ID (UUID)

curl -X POST "//api.ocore.dev/api/instances/<string>/monitoring/sentry" \
  -H "Authorization: <token>" \
  -H "Content-Type: application/json" \
  -d '{}'

Accepted

{
  "message": "string"
}

Disable Sentry integration

Disables and removes Sentry error tracking from the instance.

DELETE
/instances/{id}/monitoring/sentry

Authorization

Authorization<token>

JWT Bearer token (format: Bearer {token})

In: header

Path Parameters

idRequiredstring

Instance ID (UUID)

curl -X DELETE "//api.ocore.dev/api/instances/<string>/monitoring/sentry" \
  -H "Authorization: <token>"

OK

{
  "message": "string"
}

Update Sentry configuration

Updates the Sentry DSN and configuration for the instance.

PUT
/instances/{id}/monitoring/sentry

Authorization

Authorization<token>

JWT Bearer token (format: Bearer {token})

In: header

Request Body

application/jsonRequired

Updated Sentry config (dsn, environment, loggingLevel)

bodyRequiredobject

Path Parameters

idRequiredstring

Instance ID (UUID)

curl -X PUT "//api.ocore.dev/api/instances/<string>/monitoring/sentry" \
  -H "Authorization: <token>" \
  -H "Content-Type: application/json" \
  -d '{}'

OK

{
  "message": "string"
}

Was this page helpful?